Bug 1730138 - [abrt] nautilus: g_str_hash(): nautilus killed by SIGSEGV
Summary: [abrt] nautilus: g_str_hash(): nautilus killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b440f6a74a846fe18e92aba0569...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-16 00:08 UTC by Max Borowsky
Modified: 2020-05-26 16:10 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:10:44 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (36.89 KB, text/plain)
2019-07-16 00:08 UTC, Max Borowsky
no flags Details
File: cgroup (499 bytes, text/plain)
2019-07-16 00:08 UTC, Max Borowsky
no flags Details
File: core_backtrace (17.92 KB, text/plain)
2019-07-16 00:09 UTC, Max Borowsky
no flags Details
File: cpuinfo (1.31 KB, text/plain)
2019-07-16 00:09 UTC, Max Borowsky
no flags Details
File: dso_list (13.51 KB, text/plain)
2019-07-16 00:09 UTC, Max Borowsky
no flags Details
File: environ (1.55 KB, text/plain)
2019-07-16 00:09 UTC, Max Borowsky
no flags Details
File: exploitable (82 bytes, text/plain)
2019-07-16 00:09 UTC, Max Borowsky
no flags Details
File: limits (1.29 KB, text/plain)
2019-07-16 00:09 UTC, Max Borowsky
no flags Details
File: maps (86.49 KB, text/plain)
2019-07-16 00:09 UTC, Max Borowsky
no flags Details
File: mountinfo (3.40 KB, text/plain)
2019-07-16 00:09 UTC, Max Borowsky
no flags Details
File: open_fds (4.00 KB, text/plain)
2019-07-16 00:09 UTC, Max Borowsky
no flags Details
File: proc_pid_status (1.35 KB, text/plain)
2019-07-16 00:09 UTC, Max Borowsky
no flags Details
File: var_log_messages (316 bytes, text/plain)
2019-07-16 00:09 UTC, Max Borowsky
no flags Details

Description Max Borowsky 2019-07-16 00:08:55 UTC
Description of problem:
I opened the three Nautilus windows in turn.
In one there was a search for a file by name, in the other two - I was looking at the properties of file links.
When I pressed the button to close the properties of one of the links, Nautilus stopped working and closed spontaneously.

Version-Release number of selected component:
nautilus-3.32.1-2.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: g_str_hash
executable:     /usr/bin/nautilus
journald_cursor: s=39b53bbe02444e0fbc42fc095fd49a94;i=d34d;b=049daeeecb834e89b635345ea632336e;m=172b4bfd;t=58dc06cfc7ba7;x=4e0e85b9d1e80d67
kernel:         5.1.16-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_str_hash at ../glib/ghash.c:2322
 #1 g_hash_table_lookup_node at ../glib/ghash.c:471
 #2 g_hash_table_remove_internal at ../glib/ghash.c:1732
 #3 remove_pending at ../src/nautilus-properties-window.c:5290
 #4 properties_window_finish at ../src/nautilus-properties-window.c:5243
 #5 widget_on_destroy at ../src/nautilus-properties-window.c:5305
 #10 gtk_widget_dispose at gtkwidget.c:12143
 #11 gtk_window_dispose at gtkwindow.c:3164
 #17 gtk_dialog_delete_event_handler at gtkdialog.c:743
 #18 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:129

Potential duplicate: bug 706327

Comment 1 Max Borowsky 2019-07-16 00:08:58 UTC
Created attachment 1590925 [details]
File: backtrace

Comment 2 Max Borowsky 2019-07-16 00:08:59 UTC
Created attachment 1590926 [details]
File: cgroup

Comment 3 Max Borowsky 2019-07-16 00:09:01 UTC
Created attachment 1590927 [details]
File: core_backtrace

Comment 4 Max Borowsky 2019-07-16 00:09:02 UTC
Created attachment 1590928 [details]
File: cpuinfo

Comment 5 Max Borowsky 2019-07-16 00:09:04 UTC
Created attachment 1590929 [details]
File: dso_list

Comment 6 Max Borowsky 2019-07-16 00:09:06 UTC
Created attachment 1590930 [details]
File: environ

Comment 7 Max Borowsky 2019-07-16 00:09:07 UTC
Created attachment 1590931 [details]
File: exploitable

Comment 8 Max Borowsky 2019-07-16 00:09:08 UTC
Created attachment 1590932 [details]
File: limits

Comment 9 Max Borowsky 2019-07-16 00:09:10 UTC
Created attachment 1590933 [details]
File: maps

Comment 10 Max Borowsky 2019-07-16 00:09:12 UTC
Created attachment 1590934 [details]
File: mountinfo

Comment 11 Max Borowsky 2019-07-16 00:09:13 UTC
Created attachment 1590935 [details]
File: open_fds

Comment 12 Max Borowsky 2019-07-16 00:09:15 UTC
Created attachment 1590936 [details]
File: proc_pid_status

Comment 13 Max Borowsky 2019-07-16 00:09:16 UTC
Created attachment 1590937 [details]
File: var_log_messages

Comment 14 Ben Cotton 2020-04-30 21:33:16 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2020-05-26 16:10:44 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.